#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n, m, k;
    long long int i, Bojex[100000], Bojey[100000], j, l, p;
    scanf("%lld%lld%lld", &n, &m, &k);
    for(i=0;i<k;i++)
    {
        scanf("%lli%lld", &Bojex[i], &Bojey[i]);
    }
    printf("1");
}